set(PLUGIN_NAME circuits)

list(APPEND UNIT_TEST_FILES
	TestElectronicCircuit.cpp
)

add_executable(${PLUGIN_NAME}_unit_tests ${CMAKE_SOURCE_DIR}/test/test_runner.cpp ${UNIT_TEST_FILES})
target_link_libraries(${PLUGIN_NAME}_unit_tests PUBLIC test_utils circuits)
set_property(TARGET ${PLUGIN_NAME}_unit_tests PROPERTY FOLDER plugins)